## viper 1.0.0

=== doc/manual/Makefile ===
FILENAME=viper-user-manual

all:
	latex $(FILENAME).tex
	makeindex $(FILENAME)
	latex $(FILENAME)
	dvips -P pdf -o $(FILENAME).ps $(FILENAME).dvi
	ps2pdf $(FILENAME).ps $(FILENAME).pdf

clean:
	rm -f $(FILENAME).aux
	rm -f $(FILENAME).dvi
	rm -f $(FILENAME).idx
	rm -f $(FILENAME).ilg
	rm -f $(FILENAME).ind
	rm -f $(FILENAME).log
	rm -f $(FILENAME).out
	rm -f $(FILENAME).ps
	rm -f $(FILENAME).toc

## viper 0.4.6

=== debian/changelog ===
viper (0.4.6-1) unstable; urgency=low

  * New upstream release.
  * Package moved from pkg-scicomp to Debian Science.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Mon, 29 Mar 2010 23:17:42 +0200

viper (0.4.5-1) unstable; urgency=low

  * New upstream release (DOLFIN compatibility version).
  * debian/watch, debian/copyright: Update download URLs.

 -- Johannes Ring <johannr@simula.no>  Fri, 11 Dec 2009 09:32:18 +0100

viper (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.8.3.
    - Bump debhelper to version 7.
    - Add DM-Upload-Allow: yes.
  * Update debian/copyright.

 -- Johannes Ring <johannr@simula.no>  Tue, 29 Sep 2009 12:26:14 +0200

viper (0.4.3-1) unstable; urgency=low

  * Initial release (Closes: #503264)

 -- Johannes Ring <johannr@simula.no>  Mon, 15 Sep 2008 14:04:39 +0200

=== debian/control ===
Source: viper
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all, 
 python-central (>= 0.6.0)
Standards-Version: 3.9.0
XS-Python-Version: >= 2.5
Homepage: http://www.fenics.org/wiki/Viper
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/viper/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/viper/trunk/

Package: python-viper
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: python-numpy, python-vtk, ${python:Depends}, ${misc:Depends}
Suggests: python-pydolfin0, mencoder
Conflicts: viper
Provides: viper
Replaces: viper
Description: minimalistic scientific plotter and run-time visualization module
 Viper is a minimalistic scientific plotter and run-time visualization module.
 .
 Viper has support for visualizing meshes and solutions in DOLFIN.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .py .pdf

USCAN_DESTDIR := $(CURDIR)

get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR) \
	 --download-version $(DEB_UPSTREAM_VERSION) \
	 --upstream-version $(DEB_UPSTREAM_VERSION)

## viper 0.4.7

=== debian/changelog ===
viper (0.4.7-2) unstable; urgency=low

  * Move from python-central to dh_python2 (closes: #617140).
    - Remove python-central from Build-Depends.
    - Bump minimum required python-all package version to 2.6.6-3~.
    - Remove XB-Python-Version line.
    - Bump minimum required cdbs version to 0.4.90~.
    - Remove DEB_PYTHON_SYSTEM=pycentral from debian/rules.
    - Replace XS-Python-Version with X-Python-Version.
  * Update extended description in debian/control.
  * Add doc-base file for Viper user manual.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Wed, 22 Jun 2011 12:16:43 +0200

viper (0.4.7-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.
  * Remove old fields Conflicts, Provides, and Replaces from
    debian/control.
  * Update suggested package python-pydolfin0 -> python-dolfin.
  * Update Homepage field in debian/control.

 -- Johannes Ring <johannr@simula.no>  Wed, 23 Feb 2011 23:34:32 +0100

=== debian/control ===
Source: viper
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.fenicsproject.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/viper/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/viper/trunk/

Package: python-viper
Architecture: all
Depends: python-numpy, python-vtk, ${python:Depends}, ${misc:Depends}
Suggests: python-dolfin, mencoder
Description: minimalistic scientific plotter and run-time visualization module
 Viper is a light–weight runtime visualization package for scalar and vector
 fields over unstructured meshes. The intended use is simple plotting, not
 advanced post–processing. As a consequence, Viper is mainly controlled by
 key–bindings, available when Viper is run in interactive mode.
 .
 Viper can be used in two different modes; one mode that is stand-alone
 working with a simplified unstructured mesh format given by a vertex array
 and a cell-node connectivity array, and floating point numpy arrays
 representing either scalar or vector fields over the mesh. The other mode is
 tied to DOLFIN, aiming at providing that project a simple way of visualizing
 native DOLFIN data types such as dolfin::Mesh, dolfin::Function, and
 dolfin::MeshFunction.

## viper 1.0-beta

=== debian/changelog ===
viper (1.0-beta-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Mon, 15 Aug 2011 17:30:03 +0200

## viper 1.0.0

=== debian/changelog ===
viper (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Homepage field.

 -- Johannes Ring <johannr@simula.no>  Wed, 07 Dec 2011 13:51:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
-Homepage: http://www.fenicsproject.org
+Homepage: http://fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/viper/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/viper/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM = pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk

=== debian/watch ===
version=3
http://launchpad.net/fenics-viper/+download http://launchpad.net/fenics-viper/.*/viper-(.*)\.tar\.gz

## viper 1.44.0

=== DESCRIPTION ===
Package: viper
Version: 1.44.0
Date: 2013-04-09
Title: Virtual Inference of Protein-activity by Enriched Regulon
        analysis
Author: Mariano J Alvarez <reef103@gmail.com>
Maintainer: Mariano J Alvarez <reef103@gmail.com>
Depends: R (>= 2.14.0), Biobase, methods
Imports: mixtools, stats, parallel, e1071, KernSmooth
Suggests: bcellViper
Description: Inference of protein activity from gene expression data, including
    the VIPER and msVIPER algorithms
License: file LICENSE
biocViews: SystemsBiology, NetworkEnrichment, GeneExpression,
        FunctionalPrediction, GeneRegulation
Encoding: UTF-8
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/viper
git_branch: RELEASE_3_22
git_last_commit: c5fb2c9
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 07:11:03 UTC; biocbuild

## viper 1.45.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: viper
-Version: 1.44.0
+Version: 1.45.0
 Date: 2013-04-09
 Title: Virtual Inference of Protein-activity by Enriched Regulon
         analysis
@@ -16,10 +16,10 @@
 Encoding: UTF-8
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/viper
-git_branch: RELEASE_3_22
-git_last_commit: c5fb2c9
+git_branch: devel
+git_last_commit: fbaf77d
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-30
 NeedsCompilation: no
-Packaged: 2025-10-30 07:11:03 UTC; biocbuild
+Packaged: 2025-10-30 23:37:50 UTC; biocbuild
